Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000852Core InformModel worldpublic2012-01-28 12:042014-05-07 07:33
ReporterNYKevin 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinuxOS VersionAny
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000852: The player can be part of something else, but this breaks everything
DescriptionIt is possible to make the player part of something else, but this causes lots of runtime errors and seems to miscalculate the lighting. As I can't see any good reason for this, it should probably be disallowed entirely.
Minimal Source Text To Reproduce
The Cave is a room.

The jelly monster is an animal in the cave.  The player is part of the jelly monster.

The player carries a candle.  The candle is lit.

Test me with "i / x candle / showme candle / monster, drop me".
Additional InformationAlternatively, one could fix the runtime errors, but I really don't see the point.
TagsNo tags attached.
Effect(mild) Compiler accepts invalid code
Attached Files

- Relationships
has duplicate 0001007closed Starting with the player being part of something causes errors. 

-  Notes
(0001556)
NYKevin (reporter)
2012-01-28 12:11

I just discovered that this causes an even bigger problem (same game):

Test stack-overflow with "drop candle / showme candle / gonear candle / showme candle / get candle / showme me / showme monster".

This is probably a result of gonear. The magical teleporting candle is interesting, though.
(0001557)
NYKevin (reporter)
2012-01-28 12:21

Sorry for the spam; you can also just get out of the monster (no need for gonear) and it will also produce the same stack overflow if you SHOWME MONSTER.
(0001574)
EmacsUser (manager)
2012-02-03 08:14

Confirmed. The absence of runtime checks in ChangePlayer and MakePart might constitute a separate bug.
(0001849)
EmacsUser (manager)
2012-09-25 12:29

Although I'm marking 0001007 as a duplicate, it contains descriptions of some other symptoms that need to be treated if this situation is ruled valid.
(0002483)
graham (administrator)
2014-02-12 14:41

This is certainly not allowed, and I've added both a problem message and a run-time problem to block it.

- Issue History
Date Modified Username Field Change
2012-01-28 12:04 NYKevin New Issue
2012-01-28 12:11 NYKevin Note Added: 0001556
2012-01-28 12:21 NYKevin Note Added: 0001557
2012-02-03 08:14 EmacsUser Note Added: 0001574
2012-02-03 08:14 EmacsUser Status new => confirmed
2012-02-03 08:14 EmacsUser Category Relations => Model world
2012-09-25 12:29 EmacsUser Note Added: 0001849
2012-09-25 12:29 EmacsUser Relationship added has duplicate 0001007
2014-02-12 14:41 graham Note Added: 0002483
2014-02-12 14:41 graham Status confirmed => resolved
2014-02-12 14:41 graham Resolution open => fixed
2014-02-12 14:41 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker